var
f:text;
n:shortint;
i:integer;
BEGIN
{6}
n:=6;
assign(f,'signals.0');
rewrite(f);
writeln(f,'4');
for i:=1 to n-1 do
begin
write(f,'0');
end;
writeln(f,'0');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-1) do
begin
write(f,'1');
end;
writeln(f,'1');
for i:=1 to (n-2) do
write(f,'0');
write(f,'1');
writeln(f,'1');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-2) do
write(f,'1');
for i:=(n-1) to n do
write(f,'0');
close(f);
{7}
n:=7;
assign(f,'signals.1');
rewrite(f);
writeln(f,'4');
for i:=1 to n-1 do
begin
write(f,'0');
end;
writeln(f,'0');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-1) do
begin
write(f,'1');
end;
writeln(f,'1');
for i:=1 to (n-2) do
write(f,'0');
write(f,'1');
writeln(f,'1');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-2) do
write(f,'1');
for i:=(n-1) to n do
write(f,'0');
close(f);
{9}
n:=9;
assign(f,'signals.2');
rewrite(f);
writeln(f,'4');
for i:=1 to n-1 do
begin
write(f,'0');
end;
writeln(f,'0');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-1) do
begin
write(f,'1');
end;
writeln(f,'1');
for i:=1 to (n-2) do
write(f,'0');
write(f,'1');
writeln(f,'1');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-2) do
write(f,'1');
for i:=(n-1) to n do
write(f,'0');
close(f);
{10}
n:=10;
assign(f,'signals.3');
rewrite(f);
writeln(f,'4');
for i:=1 to n-1 do
begin
write(f,'0');
end;
writeln(f,'0');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-1) do
begin
write(f,'1');
end;
writeln(f,'1');
for i:=1 to (n-2) do
write(f,'0');
write(f,'1');
writeln(f,'1');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-2) do
write(f,'1');
for i:=(n-1) to n do
write(f,'0');
close(f);
{12}
n:=12;
assign(f,'signals.4');
rewrite(f);
writeln(f,'4');
for i:=1 to n-1 do
begin
write(f,'0');
end;
writeln(f,'0');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-1) do
begin
write(f,'1');
end;
writeln(f,'1');
for i:=1 to (n-2) do
write(f,'0');
write(f,'1');
writeln(f,'1');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-2) do
write(f,'1');
for i:=(n-1) to n do
write(f,'0');
close(f);
{13}
n:=13;
assign(f,'signals.5');
rewrite(f);
writeln(f,'4');
for i:=1 to n-1 do
begin
write(f,'0');
end;
writeln(f,'0');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-1) do
begin
write(f,'1');
end;
writeln(f,'1');
for i:=1 to (n-2) do
write(f,'0');
write(f,'1');
writeln(f,'1');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-2) do
write(f,'1');
for i:=(n-1) to n do
write(f,'0');
close(f);
{15}
n:=15;
assign(f,'signals.6');
rewrite(f);
writeln(f,'4');
for i:=1 to n-1 do
begin
write(f,'0');
end;
writeln(f,'0');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-1) do
begin
write(f,'1');
end;
writeln(f,'1');
for i:=1 to (n-2) do
write(f,'0');
write(f,'1');
writeln(f,'1');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-2) do
write(f,'1');
for i:=(n-1) to n do
write(f,'0');
close(f);
{16}
n:=16;
assign(f,'signals.7');
rewrite(f);
writeln(f,'4');
for i:=1 to n-1 do
begin
write(f,'0');
end;
writeln(f,'0');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-1) do
begin
write(f,'1');
end;
writeln(f,'1');
for i:=1 to (n-2) do
write(f,'0');
write(f,'1');
writeln(f,'1');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-2) do
write(f,'1');
for i:=(n-1) to n do
write(f,'0');
close(f);
{18}
n:=18;
assign(f,'signals.8');
rewrite(f);
writeln(f,'4');
for i:=1 to n-1 do
begin
write(f,'0');
end;
writeln(f,'0');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-1) do
begin
write(f,'1');
end;
writeln(f,'1');
for i:=1 to (n-2) do
write(f,'0');
write(f,'1');
writeln(f,'1');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-2) do
write(f,'1');
for i:=(n-1) to n do
write(f,'0');
close(f);
{19}
n:=19;
assign(f,'signals.9');
rewrite(f);
writeln(f,'4');
for i:=1 to n-1 do
begin
write(f,'0');
end;
writeln(f,'0');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-1) do
begin
write(f,'1');
end;
writeln(f,'1');
for i:=1 to (n-2) do
write(f,'0');
write(f,'1');
writeln(f,'1');
for i:=1 to (n-4) do
write(f,'0');
for i:=(n-3) to (n-2) do
write(f,'1');
for i:=(n-1) to n do
write(f,'0');
close(f);
END.
